Heartbleed Security Vulnerability

Evan Moreland |

April 2014

You have undoubtedly heard the warnings regarding the latest Internet security threat, the Heartbleed security vulnerability.  We want to assure you that the privacy of your data and information is extremely important to my firm and to the broker-dealer I do business with, Cetera Advisors.   Upon learning of this threat, Cetera promptly evaluated all of its servers and technology for the Heartbleed security vulnerability. The good news is that they have determined it is not running an affected version of OpenSSL, and thus was not susceptible to the vulnerability.  None of the systems supporting or storing your data have been affected.  

We have also been in contact with our third-party technology providers, including our clearing firm Pershing®,  and have determined, at this point, all are either not affected or have applied patches to address the vulnerability.

Of course, there are always things you can do to help ensure the protection of your personal information, regardless of what Internet threat is lurking.  As a best practice, you should change your passwords frequently, and not use the same password across more than one Internet application. 
 
Please don't hesitate to call if you would like to further discuss any questions or concerns.

Thank you,
Comprehensive Financial Solutions